Bug 1102581 - [abrt] mate-settings-daemon: on_screen_size_changed(): mate-settings-daemon killed by SIGSEGV
Summary: [abrt] mate-settings-daemon: on_screen_size_changed(): mate-settings-daemon k...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mate-settings-daemon
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wolfgang Ulbrich
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:947a161ab1a4f616eb609b7e9ec...
: 920960 1156030 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-29 09:08 UTC by Sam Tygier
Modified: 2015-01-17 05:44 UTC (History)
4 users (show)

Fixed In Version: mate-settings-daemon-1.8.2-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-13 00:06:26 UTC


Attachments (Terms of Use)
File: backtrace (59.48 KB, text/plain)
2014-05-29 09:08 UTC, Sam Tygier
no flags Details
File: cgroup (180 bytes, text/plain)
2014-05-29 09:08 UTC, Sam Tygier
no flags Details
File: core_backtrace (41.96 KB, text/plain)
2014-05-29 09:08 UTC, Sam Tygier
no flags Details
File: dso_list (13.21 KB, text/plain)
2014-05-29 09:08 UTC, Sam Tygier
no flags Details
File: environ (1.31 KB, text/plain)
2014-05-29 09:08 UTC, Sam Tygier
no flags Details
File: exploitable (82 bytes, text/plain)
2014-05-29 09:08 UTC, Sam Tygier
no flags Details
File: limits (1.29 KB, text/plain)
2014-05-29 09:08 UTC, Sam Tygier
no flags Details
File: maps (67.23 KB, text/plain)
2014-05-29 09:08 UTC, Sam Tygier
no flags Details
File: open_fds (1.53 KB, text/plain)
2014-05-29 09:08 UTC, Sam Tygier
no flags Details
File: proc_pid_status (946 bytes, text/plain)
2014-05-29 09:08 UTC, Sam Tygier
no flags Details
File: var_log_messages (205 bytes, text/plain)
2014-05-29 09:08 UTC, Sam Tygier
no flags Details

Description Sam Tygier 2014-05-29 09:08:03 UTC
Description of problem:
Logged out and in again

Version-Release number of selected component:
mate-settings-daemon-1.8.1-1.fc21

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/libexec/mate-settings-daemon
crash_function: on_screen_size_changed
executable:     /usr/libexec/mate-settings-daemon
kernel:         3.15.0-0.rc7.git0.1.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 on_screen_size_changed at msd-background-manager.c:272
 #1 _g_closure_invoke_va at gclosure.c:831
 #3 g_signal_emit_by_name at gsignal.c:3403
 #4 process_monitors_change at gdkscreen-x11.c:1163
 #5 _gdk_x11_screen_size_changed at gdkscreen-x11.c:1198
 #6 gdk_event_translate at gdkevents-x11.c:2152
 #7 _gdk_events_queue at gdkevents-x11.c:2336
 #13 gtk_main at gtkmain.c:1257

Potential duplicate: bug 920960

Comment 1 Sam Tygier 2014-05-29 09:08:08 UTC
Created attachment 900289 [details]
File: backtrace

Comment 2 Sam Tygier 2014-05-29 09:08:09 UTC
Created attachment 900290 [details]
File: cgroup

Comment 3 Sam Tygier 2014-05-29 09:08:12 UTC
Created attachment 900291 [details]
File: core_backtrace

Comment 4 Sam Tygier 2014-05-29 09:08:14 UTC
Created attachment 900292 [details]
File: dso_list

Comment 5 Sam Tygier 2014-05-29 09:08:15 UTC
Created attachment 900293 [details]
File: environ

Comment 6 Sam Tygier 2014-05-29 09:08:17 UTC
Created attachment 900294 [details]
File: exploitable

Comment 7 Sam Tygier 2014-05-29 09:08:19 UTC
Created attachment 900295 [details]
File: limits

Comment 8 Sam Tygier 2014-05-29 09:08:21 UTC
Created attachment 900296 [details]
File: maps

Comment 9 Sam Tygier 2014-05-29 09:08:23 UTC
Created attachment 900297 [details]
File: open_fds

Comment 10 Sam Tygier 2014-05-29 09:08:25 UTC
Created attachment 900298 [details]
File: proc_pid_status

Comment 11 Sam Tygier 2014-05-29 09:08:27 UTC
Created attachment 900299 [details]
File: var_log_messages

Comment 12 Sam Tygier 2014-05-29 09:10:07 UTC
also maybe related, I seem to have to do a VT switch (ctrl+alt+f2, ctrl+alt+f1) before my desktop will display after loggin in.

Comment 13 Wolfgang Ulbrich 2014-05-29 09:36:49 UTC
Can you give me favor?
Pls open all mate rawhide issues (Mate-1.8) directly to upstream at github + here at bugzilla, and link both reports, also link the backtraces at githup reports.
This would help upstream a lot if someone starts to test 1.8 in rawhide (f21), and helps me with my spare time if i don't have to do that.

PS: seems it was a good idea from me, not to update f20/f19 with mate-1.8 without a test phase.

Thank you

@ VT swich
This i don't see here in my rawhide installation, but my rawhide installation is very old, i started with f20 release to use rawhide too.

Comment 14 Sam Tygier 2014-05-29 22:37:14 UTC
upstreamed 
https://github.com/mate-desktop/mate-settings-daemon/issues/67

Comment 15 Wolfgang Ulbrich 2014-12-01 17:05:29 UTC
*** Bug 1156030 has been marked as a duplicate of this bug. ***

Comment 16 Tim Wilkinson 2014-12-08 18:12:05 UTC
Another user experienced a similar problem:

first login after 
yum update -y fedup && fedup --network 21 --product=workstation --nogpgcheck

reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/libexec/mate-settings-daemon
crash_function: on_screen_size_changed
executable:     /usr/libexec/mate-settings-daemon
kernel:         3.17.4-301.fc21.x86_64
package:        mate-settings-daemon-1.8.2-2.fc21
reason:         mate-settings-daemon killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 17 Wolfgang Ulbrich 2015-01-08 20:54:31 UTC
*** Bug 920960 has been marked as a duplicate of this bug. ***

Comment 18 Fedora Update System 2015-01-08 23:19:20 UTC
mate-settings-daemon-1.8.2-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mate-settings-daemon-1.8.2-3.fc21

Comment 19 Fedora Update System 2015-01-08 23:20:29 UTC
mate-settings-daemon-1.8.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mate-settings-daemon-1.8.2-2.fc20

Comment 20 Fedora Update System 2015-01-09 11:54:43 UTC
Package mate-settings-daemon-1.8.2-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mate-settings-daemon-1.8.2-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-0464/mate-settings-daemon-1.8.2-2.fc20
then log in and leave karma (feedback).

Comment 21 Fedora Update System 2015-01-13 00:06:26 UTC
mate-settings-daemon-1.8.2-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2015-01-17 05:44:05 UTC
mate-settings-daemon-1.8.2-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.